#[cfg(test)]
mod tests {
    use crate::sums;
    #[test]
    fn correct_summation() {
        let v: Vec<f32> = Vec::from([1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0, 10.0]);
        let target: f32 = 55.0;
        assert_eq!(sums::vec_sum_for_loop(&v), target);
        assert_eq!(sums::vec_sum_two_accumulators(&v), target);
        assert_eq!(sums::vec_sum_fold(&v), target);
        assert_eq!(sums::vec_sum_method(&v), target);
        assert_eq!(sums::vec_sum_add_fast(&v), target);
        assert_eq!(sums::vec_sum_parallel(&v), target);
        assert_eq!(sums::vec_sum_simd(&v), target);
    }
}
